Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.il.config
Class OdeConfigProperties

    java.lang.Object
      org.apache.ode.il.config.OdeConfigProperties

Direct Known Subclasses:
  OdeConfigProperties, ODEConfigProperties

    public class OdeConfigProperties

extends java.lang.Object

Configuration object used for configuring the intergration layer. The propereties are those likely to be common to all layers.

Nested Class Summary
`static class` | `OdeConfigProperties.DatabaseMode` Possible database modes.

Field Summary
`static java.lang.String` | `PROP_ATOMIC_SCOPES_RETRY_COUNT`
`static java.lang.String` | `PROP_ATOMIC_SCOPES_RETRY_DELAY`
`static java.lang.String` | `PROP_CONNECTOR_NAME`
`static java.lang.String` | `PROP_CONNECTOR_PORT`
`static java.lang.String` | `PROP_DAOCF`
`static java.lang.String` | `PROP_DB_EMBEDDED_NAME`
`static java.lang.String` | `PROP_DB_EXTERNAL_DS`
`static java.lang.String` | `PROP_DB_INTERNAL_DRIVER`
`static java.lang.String` | `PROP_DB_INTERNAL_PASSWORD`
`static java.lang.String` | `PROP_DB_INTERNAL_URL`
`static java.lang.String` | `PROP_DB_INTERNAL_USER`
`static java.lang.String` | `PROP_DB_LOGGING`
`static java.lang.String` | `PROP_DB_MODE`
`static java.lang.String` | `PROP_DB_POOL_BLOCKING`
`static java.lang.String` | `PROP_EVENT_LISTENERS`
`static java.lang.String` | `PROP_EXTENSION_BUNDLES_RT`
`static java.lang.String` | `PROP_EXTENSION_BUNDLES_VAL`
`static java.lang.String` | `PROP_MEX_INTERCEPTORS`
`static java.lang.String` | `PROP_POOL_MAX`
`static java.lang.String` | `PROP_POOL_MIN`
`static java.lang.String` | `PROP_PROCESS_DEHYDRATION`
`static java.lang.String` | `PROP_THREAD_POOL_SIZE`
`static java.lang.String` | `PROP_TX_FACTORY_CLASS`
`static java.lang.String` | `PROP_WORKING_DIR`

Constructor Summary
`OdeConfigProperties(java.io.File cfgFile, java.lang.String prefix)`
`OdeConfigProperties(java.util.Properties props, java.lang.String prefix)`

Method Summary
`int` | `getAtomicScopeRetryCount()`
`int` | `getAtomicScopeRetryDelay()`
`java.lang.String` | `getConnectorName()`
`int` | `getConnectorPort()`
`java.lang.String` | `getDAOConnectionFactory()`
`java.lang.String` | `getDbDataSource()`
`java.lang.String` | `getDbEmbeddedName()` Should the internal database be used, or are the datasources provided?
`java.lang.String` | `getDbIntenralJdbcUrl()`
`java.lang.String` | `getDbInternalJdbcDriverClass()` JDBC driver class (for use in INTERNAL mode).
`java.lang.String` | `getDbInternalPassword()`
`java.lang.String` | `getDbInternalUserName()`
`OdeConfigProperties.DatabaseMode` | `getDbMode()`
`java.lang.String` | `getEventListeners()`
`java.lang.String` | `getExtensionActivityBundlesRT()`
`java.lang.String` | `getExtensionActivityBundlesValidation()`
`java.io.File` | `getFile()`
`java.lang.String` | `getMessageExchangeInterceptors()`
`boolean` | `getPoolBlocking()`
`int` | `getPoolMaxSize()`
`int` | `getPoolMinSize()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String pname)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String dflt)`
`int` | `getThreadPoolMaxSize()`
`java.lang.String` | `getTxFactoryClass()`
`java.lang.String` | `getWorkingDir()`
`boolean` | `isDbLoggingEnabled()`
`boolean` | `isDehydrationEnabled()`
`void` | `load()`
`void` | `set_props(java.util.Properties _props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_DB_MODE

    public static final java.lang.String PROP_DB_MODE

See Also:
  Constant Field Values

### PROP_DB_EXTERNAL_DS

    public static final java.lang.String PROP_DB_EXTERNAL_DS

See Also:
  Constant Field Values

### PROP_DB_EMBEDDED_NAME

    public static final java.lang.String PROP_DB_EMBEDDED_NAME

See Also:
  Constant Field Values

### PROP_DB_INTERNAL_URL

    public static final java.lang.String PROP_DB_INTERNAL_URL

See Also:
  Constant Field Values

### PROP_DB_INTERNAL_DRIVER

    public static final java.lang.String PROP_DB_INTERNAL_DRIVER

See Also:
  Constant Field Values

### PROP_DB_INTERNAL_PASSWORD

    public static final java.lang.String PROP_DB_INTERNAL_PASSWORD

See Also:
  Constant Field Values

### PROP_DB_INTERNAL_USER

    public static final java.lang.String PROP_DB_INTERNAL_USER

See Also:
  Constant Field Values

### PROP_DB_LOGGING

    public static final java.lang.String PROP_DB_LOGGING

See Also:
  Constant Field Values

### PROP_TX_FACTORY_CLASS

    public static final java.lang.String PROP_TX_FACTORY_CLASS

See Also:
  Constant Field Values

### PROP_POOL_MAX

    public static final java.lang.String PROP_POOL_MAX

See Also:
  Constant Field Values

### PROP_POOL_MIN

    public static final java.lang.String PROP_POOL_MIN

See Also:
  Constant Field Values

### PROP_DB_POOL_BLOCKING

    public static final java.lang.String PROP_DB_POOL_BLOCKING

See Also:
  Constant Field Values

### PROP_THREAD_POOL_SIZE

    public static final java.lang.String PROP_THREAD_POOL_SIZE

See Also:
  Constant Field Values

### PROP_CONNECTOR_PORT

    public static final java.lang.String PROP_CONNECTOR_PORT

See Also:
  Constant Field Values

### PROP_CONNECTOR_NAME

    public static final java.lang.String PROP_CONNECTOR_NAME

See Also:
  Constant Field Values

### PROP_WORKING_DIR

    public static final java.lang.String PROP_WORKING_DIR

See Also:
  Constant Field Values

### PROP_EVENT_LISTENERS

    public static final java.lang.String PROP_EVENT_LISTENERS

See Also:
  Constant Field Values

### PROP_MEX_INTERCEPTORS

    public static final java.lang.String PROP_MEX_INTERCEPTORS

See Also:
  Constant Field Values

### PROP_PROCESS_DEHYDRATION

    public static final java.lang.String PROP_PROCESS_DEHYDRATION

See Also:
  Constant Field Values

### PROP_ATOMIC_SCOPES_RETRY_COUNT

    public static final java.lang.String PROP_ATOMIC_SCOPES_RETRY_COUNT

See Also:
  Constant Field Values

### PROP_ATOMIC_SCOPES_RETRY_DELAY

    public static final java.lang.String PROP_ATOMIC_SCOPES_RETRY_DELAY

See Also:
  Constant Field Values

### PROP_DAOCF

    public static final java.lang.String PROP_DAOCF

See Also:
  Constant Field Values

### PROP_EXTENSION_BUNDLES_RT

    public static final java.lang.String PROP_EXTENSION_BUNDLES_RT

See Also:
  Constant Field Values

### PROP_EXTENSION_BUNDLES_VAL

    public static final java.lang.String PROP_EXTENSION_BUNDLES_VAL

See Also:
  Constant Field Values

Constructor Detail

### OdeConfigProperties

    public OdeConfigProperties(java.io.File cfgFile,
                               java.lang.String prefix)

### OdeConfigProperties

    public OdeConfigProperties(java.util.Properties props,
                               java.lang.String prefix)

Method Detail

### getFile

    public java.io.File getFile()

### load

    public void load()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDbEmbeddedName

    public java.lang.String getDbEmbeddedName()

  Should the internal database be used, or are the datasources provided?

  Returns:
    db mode

### getDbMode

    public OdeConfigProperties.DatabaseMode getDbMode()

### getDAOConnectionFactory

    public java.lang.String getDAOConnectionFactory()

### getDbDataSource

    public java.lang.String getDbDataSource()

### getDbIntenralJdbcUrl

    public java.lang.String getDbIntenralJdbcUrl()

### getDbInternalJdbcDriverClass

    public java.lang.String getDbInternalJdbcDriverClass()

  JDBC driver class (for use in INTERNAL mode).

  Returns:

### getPoolBlocking

    public boolean getPoolBlocking()

### getThreadPoolMaxSize

    public int getThreadPoolMaxSize()

### getPoolMaxSize

    public int getPoolMaxSize()

### getPoolMinSize

    public int getPoolMinSize()

### getConnectorPort

    public int getConnectorPort()

### getConnectorName

    public java.lang.String getConnectorName()

### getWorkingDir

    public java.lang.String getWorkingDir()

### getTxFactoryClass

    public java.lang.String getTxFactoryClass()

### getEventListeners

    public java.lang.String getEventListeners()

### getMessageExchangeInterceptors

    public java.lang.String getMessageExchangeInterceptors()

### isDehydrationEnabled

    public boolean isDehydrationEnabled()

### isDbLoggingEnabled

    public boolean isDbLoggingEnabled()

### getProperty

    public java.lang.String getProperty(java.lang.String pname)

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String dflt)

### getProperties

    public java.util.Properties getProperties()

### getDbInternalUserName

    public java.lang.String getDbInternalUserName()

### getDbInternalPassword

    public java.lang.String getDbInternalPassword()

### getExtensionActivityBundlesRT

    public java.lang.String getExtensionActivityBundlesRT()

### getExtensionActivityBundlesValidation

    public java.lang.String getExtensionActivityBundlesValidation()

### getAtomicScopeRetryCount

    public int getAtomicScopeRetryCount()

### getAtomicScopeRetryDelay

    public int getAtomicScopeRetryDelay()

### set_props

    public void set_props(java.util.Properties _props)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD